Debian Bug report logs - #497694
libaudio-cd-perl: problematic license

version graph

Package: libaudio-cd-perl; Maintainer for libaudio-cd-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libaudio-cd-perl is src:libaudio-cd-perl.

Reported by: gregor herrmann <gregoa@debian.org>

Date: Wed, 3 Sep 2008 15:24:05 UTC

Severity: serious

Found in version audio-cd/0.05-3

Fixed in version audio-cd/0.05-8

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=38956

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libaudio-cd-perl: problematic license
Date: Wed, 03 Sep 2008 17:20:00 +0200
Package: libaudio-cd-perl
Version: 0.05-3
Severity: serious
Justification: Policy 2.1

Ansgar Burchardt has discovered that audio-cd contains a problematic
license in the 0.05 release. README and CD.{xs,pm} say:

  Copyright (C) 1999-2002 by Doug MacEachern

  When included as part of the Standard Version of Perl or as
  part of its complete documentation whether printed or
  otherwise, this work may be distributed only under the terms
  of Perl's Artistic License as included in the file COPYING.
  Any distribution of this file or derivatives thereof outside
  of that package requires that special arrangements be made
  with copyright holder.

The second sentence limits distribution of derived works, and it is
probably problematic for the distribution of the module itself.

Cf. also the thread starting at
http://lists.debian.org/debian-perl/2008/09/msg00006.html

I file this bug against version 0.05-3 (sarge), probably 0.05-2 (the
first version in Debian) has the same conditions.


And now I'm going to try to contact the upstream author.

Cheers,
gregor




Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=38956. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 15:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 497694@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 497694@bugs.debian.org, yaret@packages.debian.org, disc-cover@packages.debian.org
Subject: Re: Bug#497694: libaudio-cd-perl: problematic license
Date: Sun, 7 Sep 2008 15:56:44 +0200
[Message part 1 (text/plain, inline)]
On Wed, 03 Sep 2008 17:20:00 +0200, gregor herrmann wrote:

> And now I'm going to try to contact the upstream author.

Doug has responded via private mail. Summary:
* 0.04 was his last release and he doesn't maintain the module
  anymore
* it should have been licensed "under the same terms as Perl itself"
* he is not familiar with the 0.05 version

I've done two things now:
* contacted the author of disc-cover (Audio::CD 0.05 is downloaded
  from the disc-cover homepage) and asked him for help
* installed 0.04 on my machine and tested yaret and disc-cover --
  both seem to work, so we could upload a 1:0.04-1 package (if the
  author's statement in a private mail is "good enough" for us)

Cheers,
gregor, cc'ing the yaret and disc-cover maintainers to make them
        aware of the situation    
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Rolling Stones: Family
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. Full text and rfc822 format available.

Message #15 received at 497694@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: pkg-perl-maintainers@lists.alioth.debian.org, 497694@bugs.debian.org
Subject: Re: Bug#497694: libaudio-cd-perl: problematic license
Date: Sun, 7 Sep 2008 19:56:23 +0300
[Message part 1 (text/plain, inline)]
-=| gregor herrmann, Sun, Sep 07, 2008 at 03:56:44PM +0200 |=-
> On Wed, 03 Sep 2008 17:20:00 +0200, gregor herrmann wrote:
> 
> > And now I'm going to try to contact the upstream author.
> 
> Doug has responded via private mail. Summary:
> * 0.04 was his last release and he doesn't maintain the module
>   anymore
> * it should have been licensed "under the same terms as Perl itself"
> * he is not familiar with the 0.05 version

Sounds like a good news

> I've done two things now:
> * contacted the author of disc-cover (Audio::CD 0.05 is downloaded
>   from the disc-cover homepage) and asked him for help
> * installed 0.04 on my machine and tested yaret and disc-cover --
>   both seem to work, so we could upload a 1:0.04-1 package (if the

Hm. I have a strange feeling of inreversibility about epochs :) Can it 
be 0.05+really0.04 instead? Only if you consider this less ugly than 
an epoch :)

>   author's statement in a private mail is "good enough" for us)

I guess it is. The mail would have to be quoted (Recieved headers 
included) in debian/copyright.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 497694@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 497694@bugs.debian.org
Subject: Re: Bug#497694: libaudio-cd-perl: problematic license
Date: Mon, 8 Sep 2008 16:47:11 +0200
[Message part 1 (text/plain, inline)]
On Sun, 07 Sep 2008 15:56:44 +0200, gregor herrmann wrote:

> I've done two things now:
> * contacted the author of disc-cover (Audio::CD 0.05 is downloaded
>   from the disc-cover homepage) and asked him for help

And I already got a helpful reply, sorting out the details now.

Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Sting: Fragile
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 497694@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Damyan Ivanov <dmn@debian.org>, pkg-perl-maintainers@lists.alioth.debian.org, 497694@bugs.debian.org
Subject: Re: Bug#497694: libaudio-cd-perl: problematic license
Date: Fri, 12 Sep 2008 00:02:43 -0500
Damyan Ivanov dijo [Sun, Sep 07, 2008 at 07:56:23PM +0300]:
> > I've done two things now:
> > * contacted the author of disc-cover (Audio::CD 0.05 is downloaded
> >   from the disc-cover homepage) and asked him for help
> > * installed 0.04 on my machine and tested yaret and disc-cover --
> >   both seem to work, so we could upload a 1:0.04-1 package (if the
> 
> Hm. I have a strange feeling of inreversibility about epochs :) Can it 
> be 0.05+really0.04 instead? Only if you consider this less ugly than 
> an epoch :)

Umh... That would only do if the disc-cover version of Audio::CD is
not enhanced somehow since 0.04, just copied over. If it has any
additional functionality (and specially as Gregor says he has some
yet-undisclosed helpful reply in this front ;-) ), I'd vote against
0.05+really0.04pluspatches or something like that!

> >   author's statement in a private mail is "good enough" for us)
> 
> I guess it is. The mail would have to be quoted (Recieved headers 
> included) in debian/copyright.

Extra points if it is a GPG-signed mail. But OTOH, nothing in his
distribution so far has been GPG-signed.

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. (Fri, 26 Sep 2008 12:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 26 Sep 2008 12:21:02 GMT) Full text and rfc822 format available.

Message #30 received at 497694@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 497694@bugs.debian.org
Subject: Re: Bug#497694: libaudio-cd-perl: problematic license
Date: Fri, 26 Sep 2008 14:17:50 +0200
[Message part 1 (text/plain, inline)]
On Mon, 08 Sep 2008 16:47:11 +0200, gregor herrmann wrote:

> > * contacted the author of disc-cover (Audio::CD 0.05 is downloaded
> >   from the disc-cover homepage) and asked him for help
> And I already got a helpful reply, sorting out the details now.

Update: we will get an e-mail with clarified licensing terms for
inclusion in debian/copyright.

Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Van Morrison
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#497694; Package libaudio-cd-perl. (Fri, 26 Sep 2008 12:51:03 GMT) Full text and rfc822 format available.

Message #33 received at 497694@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 497694@bugs.debian.org, 497694-submitter@bugs.debian.org
Subject: Bug in audio-cd fixed in revision 25620
Date: Fri, 26 Sep 2008 12:47:31 +0000
tag 497694 + pending
thanks

Some bugs are closed in revision 25620
by Gregor Herrmann (gregoa)

Commit message:

* debian/copyright: add e-mails from the copyright holders stating that they
  release their work under the same terms as Perl itself (closes: #497694).
* Set urgency to medium as this upload fixes an RC bug.




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 26 Sep 2008 12:51:06 GMT) Full text and rfc822 format available.

Message sent on to gregor herrmann <gregoa@debian.org>:
Bug#497694. (Fri, 26 Sep 2008 12:51:08 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 26 Sep 2008 13:30:06 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Fri, 26 Sep 2008 13:30:06 GMT) Full text and rfc822 format available.

Message #43 received at 497694-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 497694-close@bugs.debian.org
Subject: Bug#497694: fixed in audio-cd 0.05-8
Date: Fri, 26 Sep 2008 13:17:03 +0000
Source: audio-cd
Source-Version: 0.05-8

We believe that the bug you reported is fixed in the latest version of
audio-cd, which is due to be installed in the Debian FTP archive:

audio-cd_0.05-8.diff.gz
  to pool/main/a/audio-cd/audio-cd_0.05-8.diff.gz
audio-cd_0.05-8.dsc
  to pool/main/a/audio-cd/audio-cd_0.05-8.dsc
libaudio-cd-perl_0.05-8_i386.deb
  to pool/main/a/audio-cd/libaudio-cd-perl_0.05-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497694@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated audio-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Sep 2008 15:01:44 +0200
Source: audio-cd
Binary: libaudio-cd-perl
Architecture: source i386
Version: 0.05-8
Distribution: unstable
Urgency: medium
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libaudio-cd-perl - library to handle CDDB and low-level cd io calls
Closes: 497694
Changes: 
 audio-cd (0.05-8) unstable; urgency=medium
 .
   * debian/copyright: add e-mails from the copyright holders stating that they
     release their work under the same terms as Perl itself (closes: #497694).
   * Set urgency to medium as this upload fixes an RC bug.
Checksums-Sha1: 
 0d6b08b49fd7d10932e2d490371a3a4b6caf865a 1220 audio-cd_0.05-8.dsc
 161fad91003283bf4f74712faf679808fd488375 4123 audio-cd_0.05-8.diff.gz
 c97736c12ffe1909558c1b28a7afbd8a4179eeea 33756 libaudio-cd-perl_0.05-8_i386.deb
Checksums-Sha256: 
 36c0a69bfceaea0e1ba80414cfa1cc5cb0e7743b214c3c1a2eeef0ca4257f383 1220 audio-cd_0.05-8.dsc
 7ee6c4b77259d6f0ce11b6f868261f907a1715cb94d09d389e4591a24ad76574 4123 audio-cd_0.05-8.diff.gz
 22b8940d5491367ae60a54e5a0d464340c8b795c6cac137b6dfd8611022c62b6 33756 libaudio-cd-perl_0.05-8_i386.deb
Files: 
 f131b78410784ee8d8c08934ae879930 1220 perl optional audio-cd_0.05-8.dsc
 7c2a67de8e57e50991465e04f80ea56a 4123 perl optional audio-cd_0.05-8.diff.gz
 b3e3395e117640e7419926e82a82b4e7 33756 perl optional libaudio-cd-perl_0.05-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjc3XkACgkQOzKYnQDzz+RgaQCgyPQ54XvDkIgMZ0QEbjDwHaBb
tPYAoPOUGbS8ieq0NhfHz6H0IIqvHm1j
=/g1U
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:37:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:33:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.